GetSimple Support Forum
Upgrading 3.3.13 to 3.3.14 - Printable Version

+- GetSimple Support Forum (http://get-simple.info/forums)
+-- Forum: GetSimple (http://get-simple.info/forums/forumdisplay.php?fid=3)
+--- Forum: Installation & Setup (http://get-simple.info/forums/forumdisplay.php?fid=5)
+--- Thread: Upgrading 3.3.13 to 3.3.14 (/showthread.php?tid=10579)

Pages: 1 2 3


RE: Upgrading 3.3.13 to 3.3.14 - Hypertexter - 2018-09-28

Quote:I uploaded 3.3.15

3.3.15 seems to work fine with PHP 7.2. Thank you! Smile

One thing in template_functions.php: Perhaps the ask.com part for sitemap pinging could be removed, since ask.com does not support URL pinging anymore?

PHP Code:
if( $fp=@fsockopen($ask80) ) {
 
     $req  'GET /ping?sitemap=' .
 
             urlencode$url_xml ) . " HTTP/1.1\r\n" .
 
             "Host: $ask\r\n" .
 
             "User-Agent: Mozilla/5.0 (compatible; " .
 
             PHP_OS ") PHP/" PHP_VERSION "\r\n" .
 
             "Connection: Close\r\n\r\n";
 
     fwrite$fp$req );
 
     while( !feof($fp) ) {
 
        if( @preg_match('~^HTTP/\d\.\d (\d+)~i'fgets($fp128), $m) ) {
 
           $status intval$m[1] );
 
           break;
 
        

Hypertexter